# README #

### What is this repository for? ###

A skelington for gsdl2.

### How do I get set up? ###

* Recommended pypy 5.0, cffi, and pycparser. See (http://cffi.readthedocs.org/en/latest/#installation-and-status).
* Summary of set up:
    * (Optional) Install [pypy 2.5](http://pypy.org/download.html)
    * Fix environment to use pypy (e.g. set PATH in Windows, or use virtualenv) so that pip will work
    * Install [pip](https://pip.pypa.io/en/latest/installing.html)
    * pip install cffi  (if necessary; it is probably included)
    * pip install pycparser  (if necessary; it is probably included)
    * Install dynamic libraries for [SDL 2.0](https://www.libsdl.org/download-2.0.php), [SDL_image 2.0](https://www.libsdl.org/projects/SDL_image/), [SDL_ttf 2.0](https://www.libsdl.org/projects/SDL_ttf/), and [SDL_mixer 2.0](https://www.libsdl.org/projects/SDL_mixer/). On Windows, for pypy I simply copied *.dll to the C:\pypy25 folder, and for CPython to the C:\Python\DLLs folder. You may need to put the folder in the system path.
* Unpack the following into a working directory
    * [gsdl2](https://bitbucket.org/gummbum/gsdl2)
    * [gsdl2_skel](https://bitbucket.org/gummbum/gsdl2)

The resulting directory structure should look like this:

workdir/
    data/
    gamelib/
        gsdl2/
            *.py    # gsdl2 library
        *.py    # skelington library
    run_game.py
    run_game.pyw
    run_game_debug.py

### Who do I talk to? ###

Gummbum
